org.jbpm.runtime.manager.impl

## Class ManagedAuditEventBuilderImpl

- java.lang.Object
- - org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl
  - - org.jbpm.runtime.manager.impl.ManagedAuditEventBuilderImpl

- All Implemented Interfaces:
    AuditEventBuilder

      public class ManagedAuditEventBuilderImpl
      extends DefaultAuditEventBuilderImpl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedAuditEventBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessCompletedEvent pce, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeLeftEvent pnle, Object log)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessStartedEvent pse)`
    `AuditEvent` | `buildEvent(org.kie.api.event.process.ProcessVariableChangedEvent pvce)`
    `String` | `getOwnerId()`
    `void` | `setOwnerId(String ownerId)`

    - ### Methods inherited from class org.jbpm.process.audit.event.DefaultAuditEventBuilderImpl

      `buildEvent, getNodeContainerId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedAuditEventBuilderImpl

          public ManagedAuditEventBuilderImpl()

  - ### Method Detail

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessStartedEvent pse)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessCompletedEvent pce,
                                       Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessNodeLeftEvent pnle,
                                       Object log)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### buildEvent

          public AuditEvent buildEvent(org.kie.api.event.process.ProcessVariableChangedEvent pvce)

      Specified by:
        `buildEvent` in interface `AuditEventBuilder`
      Overrides:
        `buildEvent` in class `DefaultAuditEventBuilderImpl`

    - #### getOwnerId

          public String getOwnerId()

    - #### setOwnerId

          public void setOwnerId(String ownerId)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.